Debian Bug report logs - #607393
ITA: phpunit -- Unit testing suite for PHP5

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ivan Borzenkov <ivan1986@list.ru>

Date: Fri, 17 Dec 2010 20:39:01 UTC

Owned by: pkg-php-pear@lists.alioth.debian.org

Severity: normal

Fixed in version phpunit/3.6.10-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Fri, 17 Dec 2010 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Borzenkov <ivan1986@list.ru>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 17 Dec 2010 20:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ivan Borzenkov <ivan1986@list.ru>
To: submit@bugs.debian.org
Subject: O: phpunit
Date: Fri, 17 Dec 2010 23:36:21 +0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal
X-Debbugs-CC: debian-devel@lists.debian.org

sorry, I can not have time for this package, I not use it about 6 mounts, and 
now it needs to remake many things
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'O: phpunit -- Unit testing suite for PHP5' from 'O: phpunit' Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 19 Dec 2010 07:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Wed, 02 Feb 2011 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 Feb 2011 15:39:03 GMT) Full text and rfc822 format available.

Message #12 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 607393@bugs.debian.org
Subject: Re: Bug#607393: O: phpunit
Date: Wed, 2 Feb 2011 16:36:10 +0100
On Fri, Dec 17, 2010 at 11:36:21PM +0300, Ivan Borzenkov wrote:
> 
> sorry, I can not have time for this package, I not use it about 6 mounts, and 
> now it needs to remake many things

Too bad.

FWIW, I may be able to help co-maintain it, should others be interested in doing the same (family constraints leave me with few spare time, but still, willing to help).

Best regards,





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Thu, 03 Feb 2011 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Feb 2011 11:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Ivan Borzenkov <ivan1986@list.ru>
Cc: 607393@bugs.debian.org
Subject: Re: Bug#607393: O: phpunit
Date: Thu, 3 Feb 2011 11:58:21 +0100
On Fri, Dec 17, 2010 at 11:36:21PM +0300, Ivan Borzenkov wrote:
> 
> sorry, I can not have time for this package, I not use it about 6 mounts, and 
> now it needs to remake many things

Are the sources of the Debian package managed in a repository somewhere, to ease the work of potential new maintainers ?

Thanks in advance.

Best regards,





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Fri, 04 Feb 2011 10:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Feb 2011 10:21:02 GMT) Full text and rfc822 format available.

Message #22 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Ivan Borzenkov <ivan1986@list.ru>
Cc: 607393@bugs.debian.org
Subject: Re: Bug#607393: O: phpunit
Date: Fri, 04 Feb 2011 11:19:14 +0100
Le jeudi 03 février 2011 à 19:59 +0300, Ivan Borzenkov a écrit :
> 3 февраля 2011 13:58:21 вы писали:
> > On Fri, Dec 17, 2010 at 11:36:21PM +0300, Ivan Borzenkov wrote:
> > > sorry, I can not have time for this package, I not use it about 6 mounts,
> > > and now it needs to remake many things
> > 
> > Are the sources of the Debian package managed in a repository somewhere, to
> > ease the work of potential new maintainers ?
> > 
> > Thanks in advance.
> > 
> > Best regards,
> 
> No, not git or svn for this package.
> 

OK, thanks.

For those caring, I've used git-buildpackage and started a first import
of your latest packages.

Here's the result :
http://git.debian.org/?p=users/olberger-guest/phpunit.git;a=summary

Hope this helps.

Best regards,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Fri, 04 Feb 2011 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Feb 2011 14:57:02 GMT) Full text and rfc822 format available.

Message #27 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 607393@bugs.debian.org
Subject: Re: Bug#607393: O: phpunit
Date: Fri, 4 Feb 2011 15:53:06 +0100
Hi.

I think it should be interesting to have the following packages handled in a separate way from phpunit :
 - phpunit-dbunit
 - phpunit-mock-objects
 - phpunit-selenium

They are all managed in their independant git tree / PEAR packages by the upstream developper, and have different PEAR version numbers also.

It would thus be easier to package them independantly, adding some suggests for instance between phpunit and these.

Any comments before I'm filing ITPs ?

Best regards,





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Fri, 04 Feb 2011 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Feb 2011 17:57:03 GMT) Full text and rfc822 format available.

Message #32 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 607393@bugs.debian.org
Subject: Re: Bug#607393: O: phpunit
Date: Fri, 4 Feb 2011 18:53:26 +0100
On Fri, Feb 04, 2011 at 03:53:06PM +0100, Olivier Berger wrote:
> Hi.
> 
> I think it should be interesting to have the following packages handled in a separate way from phpunit :
>  - phpunit-dbunit
>  - phpunit-mock-objects
>  - phpunit-selenium
> 
> They are all managed in their independant git tree / PEAR packages by the upstream developper, and have different PEAR version numbers also.
> 
> It would thus be easier to package them independantly, adding some suggests for instance between phpunit and these.
> 
> Any comments before I'm filing ITPs ?
> 

FYI, I've tested and created a package for selenium RC part, so created its ITP, as #612014.

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Tue, 08 Feb 2011 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 08 Feb 2011 18:36:03 GMT) Full text and rfc822 format available.

Message #37 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 607393@bugs.debian.org
Cc: "pkg-php-maint@lists.alioth.debian.org" <pkg-php-maint@lists.alioth.debian.org>
Subject: Re: Bug#607393: O: phpunit / Re: [php-maint] Co-maintenance of phpunit
Date: Tue, 08 Feb 2011 19:33:03 +0100
Hi.

Le vendredi 04 février 2011 à 11:19 +0100, Olivier Berger a écrit :

> For those caring, I've used git-buildpackage and started a first import
> of your latest packages.
> 
> Here's the result :
> http://git.debian.org/?p=users/olberger-guest/phpunit.git;a=summary
> 

FYI, I've just added my git repo into the repositories of the pkg-php
team (which I've just joined).

You'll find it here :
http://git.debian.org/?p=pkg-php/phpunit.git;a=summary

I'll remove the previous repo.

Any comments/contribs welcome.

Best regards,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Sat, 12 Feb 2011 09:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 12 Feb 2011 09:09:10 GMT) Full text and rfc822 format available.

Message #42 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 607393@bugs.debian.org
Subject: Re: Bug#607393: O: phpunit
Date: Sat, 12 Feb 2011 10:06:37 +0100
On Fri, Feb 04, 2011 at 03:53:06PM +0100, Olivier Berger wrote:
> Hi.
> 
> I think it should be interesting to have the following packages handled in a separate way from phpunit :
>  - phpunit-dbunit
>  - phpunit-mock-objects
>  - phpunit-selenium
> 
> They are all managed in their independant git tree / PEAR packages by the upstream developper, and have different PEAR version numbers also.
> 
> It would thus be easier to package them independantly, adding some suggests for instance between phpunit and these.
> 

Oh, and in addition, note that several PEAR packages are dependencies, whose packaging is discussed in #607372

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Sat, 12 Feb 2011 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 12 Feb 2011 09:15:03 GMT) Full text and rfc822 format available.

Message #47 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 607393@bugs.debian.org
Subject: Re: Bug#607393: O: phpunit
Date: Sat, 12 Feb 2011 10:12:47 +0100
Le samedi 12 février 2011 à 10:06 +0100, Olivier Berger a écrit :
> On Fri, Feb 04, 2011 at 03:53:06PM +0100, Olivier Berger wrote:
> > Hi.
> > 
> > I think it should be interesting to have the following packages handled in a separate way from phpunit :
> >  - phpunit-dbunit
> >  - phpunit-mock-objects
> >  - phpunit-selenium
> > 
> > They are all managed in their independant git tree / PEAR packages by the upstream developper, and have different PEAR version numbers also.
> > 
> > It would thus be easier to package them independantly, adding some suggests for instance between phpunit and these.
> > 
> 
> Oh, and in addition, note that several PEAR packages are dependencies, whose packaging is discussed in #607372
> 

Actually, it's more #610676 where this was discussed... I was a bit
lost ;)

Best regards,

-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Changed Bug title to 'ITA: phpunit -- Unit testing suite for PHP5' from 'O: phpunit -- Unit testing suite for PHP5' Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Sat, 12 Feb 2011 09:18:02 GMT) Full text and rfc822 format available.

Owner recorded as Olivier Berger <olivier.berger@it-sudparis.eu>. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Sat, 12 Feb 2011 09:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Sat, 12 Feb 2011 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 12 Feb 2011 09:45:03 GMT) Full text and rfc822 format available.

Message #56 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 607393@bugs.debian.org
Subject: Re: Bug#607393: ITA: phpunit
Date: Sat, 12 Feb 2011 10:41:23 +0100
On Fri, Feb 04, 2011 at 06:53:26PM +0100, Olivier Berger wrote:
> On Fri, Feb 04, 2011 at 03:53:06PM +0100, Olivier Berger wrote:
> > Hi.
> > 
> > I think it should be interesting to have the following packages handled in a separate way from phpunit :
> >  - phpunit-dbunit
> >  - phpunit-mock-objects
> >  - phpunit-selenium
> > 
> > They are all managed in their independant git tree / PEAR packages by the upstream developper, and have different PEAR version numbers also.
> > 
> > It would thus be easier to package them independantly, adding some suggests for instance between phpunit and these.
> > 
> FYI, I've tested and created a package for selenium RC part, so created its ITP, as #612014.
> 

FYI, I've also just submitted the 2 other ITPs for phpunit-dbunit (#613016) and phpunit-mock-objects (#613018).

Best regards,




Added blocking bug(s) of 607393: 611395, 612014, 613018, 611393, 611394, 613016, 611767, and 610676 Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Sat, 12 Feb 2011 09:51:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 607393: 613425 Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Mon, 14 Feb 2011 18:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Wed, 16 Feb 2011 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 16 Feb 2011 18:36:03 GMT) Full text and rfc822 format available.

Message #65 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: "pkg-php-maint@lists.alioth.debian.org" <pkg-php-maint@lists.alioth.debian.org>
Cc: 607393@bugs.debian.org
Subject: PHPUnit testers wanted - Was: Re: [php-maint] Co-maintenance of phpunit
Date: Wed, 16 Feb 2011 19:34:02 +0100
Hi.

I believe the /git/pkg-php on alioth now contains most dependencies for
phpunit.

There's probably still some more polishing needed, but that should be a
first usable set of source packages, in :

phpunit.git
php-text-template.git
php-token-stream.git
php-file-iterator.git
php-codecoverage.git
php-timer.git
php-symfony-yaml.git
phpunit-dbunit.git
phpunit-selenium.git
phpunit-mock-objects.git

If you're interested in PHPUnit, feel free to clone, rebuild and report.

Thanks in advance.

Best regards,

Le mercredi 16 février 2011 à 18:28 +0100, Olivier Berger a écrit :
> Hi.
> 
> Le mardi 08 février 2011 à 19:33 +0100, Olivier Berger a écrit :
> > Hi.
> > 
> > Le vendredi 04 février 2011 à 11:19 +0100, Olivier Berger a écrit :
> > 
> > > For those caring, I've used git-buildpackage and started a first import
> > > of your latest packages.
> 
> > You'll find it here :
> > http://git.debian.org/?p=pkg-php/phpunit.git;a=summary
> 
> FYI, I've dug a little bit more into the package and pushed my latest
> changes to the git tree above, including a packaging for 3.5.11, that
> was released a few days ago.
> 
> There will be the following main change : the phpunit-doc will no longer
> be built out of the phpunit source package.
> Actually, the docs were just HTML files downloaded from the upstream web
> site, and /me thinks this is not good packaging practice when the
> sources of the docs are in upstream's git at github (still, I dunno how
> to rebuild it)... and also, they seem to be under CC-BY 3.0, and I'm not
> so sure it's really DFSG free.
> 
> Then, I've simply decided to not generate phpunit-doc from source
> package phpunit.
> 
> We'll try and bring them back in Debian if possible later.
> 
> Any comments ?
> 
> Thanks in advance.
> 
> Best regards,
> -- 
> Olivier BERGER <olivier.berger@it-sudparis.eu>
> http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
> Ingénieur Recherche - Dept INF
> Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)
> 
> 
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-php-maint

-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug#607393; Package wnpp. (Wed, 23 Mar 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to arno <arno@renevier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olivier Berger <olivier.berger@it-sudparis.eu>. (Wed, 23 Mar 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #70 received at 607393@bugs.debian.org (full text, mbox):

From: arno <arno@renevier.net>
To: 607393@bugs.debian.org
Cc: Olivier Berger <olivier.berger@it-sudparis.eu>
Subject: Re: PHPUnit testers wanted - Was: Re: [php-maint] Co-maintenance of phpunit
Date: Wed, 23 Mar 2011 18:01:55 +0100
Le mercredi 16 février 2011, à 19:34:02 +0100, Olivier a écrit : 

> If you're interested in PHPUnit, feel free to clone, rebuild and report.

Hi,
I've cloned, rebuilt, and reported here:
http://lists.alioth.debian.org/pipermail/pkg-php-maint/2011-March/008731.html

regards

arno




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug#607393; Package wnpp. (Sun, 19 Feb 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Weber <tweber@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olivier Berger <olivier.berger@it-sudparis.eu>. (Sun, 19 Feb 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #75 received at 607393@bugs.debian.org (full text, mbox):

From: Thomas Weber <tweber@debian.org>
To: arno <arno@renevier.net>, 607393@bugs.debian.org
Cc: Olivier Berger <olivier.berger@it-sudparis.eu>
Subject: Re: Bug#607393: PHPUnit testers wanted - Was: Re: [php-maint] Co-maintenance of phpunit
Date: Sun, 19 Feb 2012 15:11:33 +0100
What's the status of this bug (or more generally of phpunit in Debian)? 

Thanks
	Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug#607393; Package wnpp. (Sun, 19 Feb 2012 20:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Uribe <acme@eviled.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Olivier Berger <olivier.berger@it-sudparis.eu>. (Sun, 19 Feb 2012 20:24:07 GMT) Full text and rfc822 format available.

Message #80 received at 607393@bugs.debian.org (full text, mbox):

From: Luis Uribe <acme@eviled.org>
To: Thomas Weber <tweber@debian.org>, 607393@bugs.debian.org
Subject: Re: Bug#607393: PHPUnit testers wanted - Was: Re: [php-maint] Co-maintenance of phpunit
Date: Sun, 19 Feb 2012 15:22:14 -0500
Hi all

On Sun, Feb 19, 2012 at 9:11 AM, Thomas Weber <tweber@debian.org> wrote:
> What's the status of this bug (or more generally of phpunit in Debian)?

I'm trying to package their dependences but i get stuck when
installing php-timer with pkg-php-tools [1]. I'm pretty sure that when
i fix that, will be easy to build the other packages.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=656960

After that i'm planning to take a look at phpunit, if no one does before.

-- 
Luis




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607393; Package wnpp. (Sun, 19 Feb 2012 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 19 Feb 2012 21:03:07 GMT) Full text and rfc822 format available.

Message #85 received at 607393@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Luis Uribe <acme@eviled.org>, Thomas Weber <tweber@debian.org>, control@bugs.debian.org
Cc: 607393@bugs.debian.org
Subject: Re: Bug#607393: PHPUnit testers wanted - Was: Re: [php-maint] Co-maintenance of phpunit
Date: Sun, 19 Feb 2012 21:59:18 +0100
retitle 607393 O: phpunit -- Unit testing suite for PHP5
noowner 607393
thanks

Hi.

Sorry about the eventual false hopes I may have instigated, but I no
longer have interest or time to dedicate more effort to phpunit at the
moment.

Thomas, I'm sorry about not being able to report about the status of the package
with more useful details either (I've lost track a while ago).

Sorry for having been so long to make this explicit.

I've set it to the previous state, which is O, but maybe Luis or
someone else should mark it ITP again (I'm not sure RFP is correct,
since the package is still in the archive, hence back to O).

In any case I hope the results of my efforts have been kept in the
corresponding repositories if someone can take over its maintenance.

On Sun, 19 Feb 2012 15:22:14 -0500, Luis Uribe <acme@eviled.org> wrote:
> 
> After that i'm planning to take a look at phpunit, if no one does before.
> 

Please, retitle it to ITP again, then.

Best luck, Luis.
-- 
Olivier BERGER 
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Changed Bug title to 'O: phpunit -- Unit testing suite for PHP5' from 'ITA: phpunit -- Unit testing suite for PHP5' Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Sun, 19 Feb 2012 21:03:08 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Olivier Berger <olivier.berger@it-sudparis.eu>. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Sun, 19 Feb 2012 21:03:09 GMT) Full text and rfc822 format available.

Owner recorded as pkg-php-pear@lists.alioth.debian.org. Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Sun, 22 Apr 2012 17:06:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: phpunit -- Unit testing suite for PHP5' from 'O: phpunit -- Unit testing suite for PHP5' Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Sun, 22 Apr 2012 17:06:08 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 17:21:11 GMT) Full text and rfc822 format available.

Notification sent to Ivan Borzenkov <ivan1986@list.ru>:
Bug acknowledged by developer. (Sat, 19 May 2012 17:21:11 GMT) Full text and rfc822 format available.

Message #98 received at 607393-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 607393-close@bugs.debian.org
Subject: Bug#607393: fixed in phpunit 3.6.10-1
Date: Sat, 19 May 2012 17:20:26 +0000
Source: phpunit
Source-Version: 3.6.10-1

We believe that the bug you reported is fixed in the latest version of
phpunit, which is due to be installed in the Debian FTP archive:

phpunit_3.6.10-1.debian.tar.gz
  to main/p/phpunit/phpunit_3.6.10-1.debian.tar.gz
phpunit_3.6.10-1.dsc
  to main/p/phpunit/phpunit_3.6.10-1.dsc
phpunit_3.6.10-1_all.deb
  to main/p/phpunit/phpunit_3.6.10-1_all.deb
phpunit_3.6.10.orig.tar.gz
  to main/p/phpunit/phpunit_3.6.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607393@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated phpunit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 22 Apr 2012 12:53:21 +0800
Source: phpunit
Binary: phpunit
Architecture: source all
Version: 3.6.10-1
Distribution: unstable
Urgency: low
Maintainer: PKG-PHP-PEAR team <pkg-php-pear@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 phpunit    - Unit testing suite for PHP5
Closes: 607372 607393
Changes: 
 phpunit (3.6.10-1) unstable; urgency=low
 .
   * New upstream version.
   * Adopting the package (Closes: #607393).
 .
   [ Thomas Goirand ]
   * Fixed debian/watch file to use the github tags.
   * Added a debian/gbp.conf (and renamed branches on Alioth).
   * Added Vcs fields.
   * Switching package to pkg-php-tools.
   * Standards-Version is now 3.9.3 (no change).
   * Switched debian/copyright to format 1.0.
   * Added a channel.xml file (as a quilt patch).
   * Removed useless debian/phpunit-doc.doc-base, debian/docs, debian/dirs,
   and debian/install (we are now using "pear install" with the package.xml...).
   * Removed useless debian/README.Debian that was advising to get stuff
   outside debian.
   * Removed versions from Suggests:, removed double Section: in debian/control.
   * Maintainer: is now PKG-PHP-PEAR team <pkg-php-pear@lists.alioth.debian.org>
   * Patches package.xml to remove unwanted LICENSE file from binaries.
   * Reviewed (new) dependencies of the binary package.
 .
   [ Olivier Berger ]
   * Add dependency on php-codecoverage (Closes: #607372), and so many missing
   dependencies.
   * Remove phpunit-doc generation, as may not be rebuildable from sources.
Checksums-Sha1: 
 5438f8ba3fcdaa904c58c9e50f59d984f022bdef 1355 phpunit_3.6.10-1.dsc
 5a8dea940488c949ad76d8b29dfb68fbb486b612 118595 phpunit_3.6.10.orig.tar.gz
 a54698f10ebdd087c7800a4bd6b2b4ec803cf213 10085 phpunit_3.6.10-1.debian.tar.gz
 f1d9168af994333790a0f3904dde80f840366fae 144360 phpunit_3.6.10-1_all.deb
Checksums-Sha256: 
 a6c45e38fe15f358d9aead7fa0c820cdaf22eb0a0eddd32b85a5694c86721526 1355 phpunit_3.6.10-1.dsc
 ae5cd6fab05dd8970425de12726fb7622c44424f1d5ba43a4ebecb38588c51c4 118595 phpunit_3.6.10.orig.tar.gz
 e55989c9a3a9fbd9cd84aacf955d2e62eb1f602a8e43265fdbe1a26574d06607 10085 phpunit_3.6.10-1.debian.tar.gz
 d51ffd6a52a25e8d35172895b872277903c63b4a543518cf3aa0245b3b46aed5 144360 phpunit_3.6.10-1_all.deb
Files: 
 5091bd709c070de87bb19066a0061954 1355 php optional phpunit_3.6.10-1.dsc
 5dbf82aad0bc782024a436437e057da5 118595 php optional phpunit_3.6.10.orig.tar.gz
 5d37bd796a90acf1a747f232adf9056d 10085 php optional phpunit_3.6.10-1.debian.tar.gz
 70ddafeddf78e6c0e32f1cff01c523df 144360 php optional phpunit_3.6.10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+30fkACgkQl4M9yZjvmklKDQCfR9nlfL1E1N/ch3oAjQjT8apN
dWUAoI7fSraIVdjVMGWdkzZsC9WjH/Mo
=qblJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2012 07:56:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:52:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.